PETSc version 3.15.5
Fix/Edit manual page

# TaoLineSearchGetStepDirection

Gets the step direction of the line search.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetStepDirection(TaoLineSearch ls, Vec *s)

Not Collective

### Input Parameter

| ls | - the TaoLineSearch context

### Output Parameter

| s | - the step direction of the line search

### Level

advanced

### Location

src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages